package com.bonus.canteen.core.drp.model;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@ApiModel("证书库基础表")
public class DrpCertificate {
   @ApiModelProperty("证书类型Id")
   @TableId
   private Long certId;
   @ApiModelProperty("证书名称")
   private String certName;
   @ApiModelProperty("证书描述")
   private String certDesc;
   @ApiModelProperty("是否删除(1删除,2未删除)")
   private Integer delFlag;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getCertId() {
      return this.certId;
   }

   public String getCertName() {
      return this.certName;
   }

   public String getCertDesc() {
      return this.certDesc;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setCertId(final Long certId) {
      this.certId = certId;
   }

   public void setCertName(final String certName) {
      this.certName = certName;
   }

   public void setCertDesc(final String certDesc) {
      this.certDesc = certDesc;
   }

   public void setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }
}
